Get an action config
curl --request GET \
--url https://app.demand-iq.com/api/decks/{deckId}/action-configs/{configId} \
--cookie session=import requests
url = "https://app.demand-iq.com/api/decks/{deckId}/action-configs/{configId}"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://app.demand-iq.com/api/decks/{deckId}/action-configs/{configId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionType": "<string>",
"templateMarkdown": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"disclosuresMarkdown": "<string>",
"requirementsJson": {},
"repName": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Contracts
Get an action config
GET
/
api
/
decks
/
{deckId}
/
action-configs
/
{configId}
Get an action config
Authorizations
Session cookie obtained from POST /api/auth/login.
Response
Action config
Available options:
draft, published